SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0001146: proxy can't be used from localhost when no parent cache has been defined - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001146Endian FirewallProxy HTTPpublic2008-07-22 11:192008-10-08 13:30
Reporterpeter-endian 
Assigned Tosimon-endian 
PriorityurgentSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-rc1 
Target Version2.2-rc3Fixed in Version2.2-rc3 
Summary0001146: proxy can't be used from localhost when no parent cache has been defined
Descriptionif havp and dansguardian are disabled itr is not possible to use the proxy from localhost (the firewall itself)

this line is missing:
http_reply_access allow localhost

it's necessary for debugging and unsure if it works when an upstream proxy has been defined. if it's defined, smart and endian client will use the proxy from localhost
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001548)
simon-endian (developer)
2008-08-27 08:45

http_reply_access allow localhost is now allways present in the squid.conf and gives the possibility to connect to squid from localhost for debugging

- Issue History
Date Modified Username Field Change
2008-07-22 11:19 peter-endian New Issue
2008-07-22 11:19 peter-endian Status new => assigned
2008-07-22 11:19 peter-endian Assigned To => simon-endian
2008-07-24 16:05 ra-endian Target Version 2.2-rc2 => 2.2-rc3
2008-07-28 10:49 peter-endian Priority normal => urgent
2008-08-27 08:45 simon-endian Status assigned => resolved
2008-08-27 08:45 simon-endian Fixed in Version => 2.2-rc3
2008-08-27 08:45 simon-endian Resolution open => fixed
2008-08-27 08:45 simon-endian Note Added: 0001548
2008-10-08 13:30 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker